#!/usr/bin/env python
import sys
import pygtk
import string
pygtk.require('2.0')
import gtk
import gobject
import gtk.glade
import goocanvas
import cairo
import os.path

from Objects import GeneratorItem

class MainWindow:
    def __init__(self):
        self.edit_state=0
        self.builder = gtk.Builder()
        self.builder.add_from_file("sample_glade.glade")
        self.window=self.builder.get_object("sample_window")
        self.canvas_window=self.builder.get_object("main_canvas")
        self.canvas=goocanvas.Canvas()
        self.canvas.connect("button_release_event",self.canvas_mouse_up,None)
        self.canvas_window.add(self.canvas)
        self.window.show_all()
        
    def canvas_mouse_up(self,item,event,cr):
        root = self.canvas.get_root_item()
        item = GeneratorItem.GeneratorItem(event.x, event.y, width=50, height=50, line_width=2)
        root.add_child(item)
        self.canvas.request_redraw(item.get_bounds())
        self.canvas.request_update()
        self.canvas_window.show_all()
        self.window.show_all()
        print "Canvas Mouse Up"
        

    

window=MainWindow()
gtk.main()
